﻿((function () {
    "use strict";

    WinJS.UI.Pages.define("/pages/home/home.html", {
        // This function is called when an item is selected in the ListView.
        itemInvoked: function (args) {
            var selectedGroup = Northwind.Data.groupsList.getAt(args.detail.itemIndex);
            switch (selectedGroup.title) {
                case "Customers":
                    WinJS.Navigation.navigate("/pages/customers/customers.html");
                    break;
                default:
                    console.log(selectedGroup);
                    break;
            }
        },

        // This function is called whenever a user navigates to this page. It
        // populates the page elements with the app's data.
        ready: function (element, options) {
            var groupsListView = element.querySelector(".groupslistView").winControl;
            groupsListView.oniteminvoked = this.itemInvoked.bind(this);
        }
    });
}))();
